Start Windows 2000 in safe mode

To start Windows 2000 in safe mode

  1. Click Options, and then click Print to print these instructions. They will not be available after you shut your computer down in step 2.
  2. Click Start, and then click Shut Down.
  3. Click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight the appropriate safe mode option, and then press ENTER.

    6. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  6. Use the arrow keys to highlight an operating system, and then press ENTER.

Notes

  • In safe mode, Windows 2000 uses only basic files and drivers (mouse, monitor, keyboard, mass storage, base video, default system services, and no network connections). You can choose the Safe Mode with Networking option, which loads all of the above files and drivers plus the essential services and drivers to start networking, or the Safe Mode with Command Prompt option, which is exactly the same as safe mode except that a command prompt is started instead of Windows 2000. You can also choose Last Known Good Configuration, which starts your computer using the registry information that Windows 2000 saved at the last shutdown.
  • Safe mode helps you diagnose problems. If a symptom does not reappear when you start in safe mode, you can eliminate the default settings and minimum device drivers as possible causes. If a newly added device or a changed driver is causing problems, you can use safe mode to remove the device or reverse the change.
  • There are circumstances where safe mode will not be able to help you, such as when Windows system files required to start the system are corrupted or damaged. In this case, the Emergency Repair Disk (ERD) may help you.

Related Topics


Start Windows 2000 using the last known good configuration

To start Windows 2000 using the last known good configuration

  1. Click Options, and then click Print to print these instructions. They will not be available after you shut down your computer in step 2.
  2. Click Start, and then click Shut Down.
  3. Click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight Last Known Good Configuration, and then press ENTER.

    6. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  6. Use the arrow keys to highlight an operating system, and then press ENTER.

Notes

  • Choosing Last Known Good Configuration provides a way to recover from problems such as a newly added driver that may be incorrect for your hardware. It does not solve problems caused by corrupted or missing drivers or files.
  • When you choose Last Known Good Configuration, Windows 2000 restores information in registry key HKLM\System\CurrentControlSet only. Any changes you have made in other registry keys remain.


Start your computer at a command prompt

To start your computer at a command prompt

  1. Click Options, and then click Print to print these instructions. They will not be available after you shut your computer down in step 2.
  2. Click Start, and then click Shut Down.
  3. Click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight Safe Mode with Command Prompt, and then press ENTER.

    6. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  6. Use the arrow keys to highlight an operating system, and then press ENTER.


Safe mode startup options

If your computer will not start, you may be able to start it in safe mode. In safe mode, Windows 2000 uses default settings (VGA monitor, Microsoft mouse driver, no network connections, and the minimum device drivers required to start Windows).

For example, if your computer will not start after you install new software, you may be able to start it with minimal services in safe mode and then change your computer settings or remove the newly installed software that is causing the problem. You can reinstall the service pack or the entire operating system, if necessary.

If a symptom does not reappear when you start in safe mode, you can eliminate the default settings and minimum device drivers as possible causes.

The safe mode options are:

Safe Mode

Starts Windows 2000 using only basic files and drivers (mouse, except serial mice; monitor; keyboard; mass storage; base video; default system services; and no network connections). If your computer does not start successfully using safe mode, you may need to use the Emergency Repair Disk (ERD) feature to repair your system.

Safe Mode with Networking

Starts Windows 2000 using only basic files and drivers, plus network connections.

Safe Mode with Command Prompt

Starts Windows 2000 using only basic files and drivers. After logging on, the command prompt is displayed instead of the Windows desktop, Start menu, and Taskbar.

Enable Boot Logging

Starts Windows 2000 while logging all the drivers and services that were loaded (or not loaded) by the system to a file. This file is called ntbtlog.txt and it is located in the %windir% directory. Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt add to the boot log a list of all the drivers and services that are loaded. The boot log is useful in determining the exact cause of system startup problems.

Enable VGA Mode

Starts Windows 2000 using the basic VGA driver. This mode is useful when you have installed a new driver for your video card that is causing Windows 2000 not to start properly. The basic video driver is always used when you start Windows 2000 in Safe Mode (either Safe Mode, Safe Mode with Networking, or Safe Mode with Command Prompt).

Last Known Good Configuration

Starts Windows 2000 using the registry information that Windows saved at the last shutdown. Use only in cases of incorrect configuration. Last known good configuration does not solve problems caused by corrupted or missing drivers or files. Also, any changes made since the last successful startup will be lost.

Directory Service Restore Mode

Not applicable for Windows 2000 Professional. This is for the Windows 2000 Server operating system and is only used in restoring the SYSVOL directory and the Active Directory directory service on a domain controller.

Debugging Mode

Starts Windows 2000 while sending debug information through a serial cable to another computer.

If you are using, or have used, Remote Install Services to install Windows 2000 on your computer, you may see additional options related to restoring or recovering your system using Remote Install Services.


Compile Date

 Compile Date: 10/7/99


Create setup disks

To create setup disks

  1. Insert a blank, formatted, 3.5-inch, 1.44-MB disk into the floppy disk drive.
  2. Insert the Windows 2000 CD-ROM into the CD-ROM drive.
  3. Click Start, and then click Run.
  4. In the Open box, type d:\bootdisk\makeboot a: (where d: is the drive letter assigned to your CD-ROM drive), and then click OK.
  5. Follow the screen prompts.

Important

  • You will need four blank, formatted, 3.5-inch, 1.44-MB floppy disks. Label them Setup Disk One, Setup Disk Two, Setup Disk Three, and Setup Disk Four.

Note

  • You can create the setup disks from a computer running any version of Windows or MS-DOS.


Restore the registry

To restore the registry

  1. Click Options, and then click Print to print these instructions. They will not be available after you shut down your computer in step 2.
  2. Click Start, and then click Shut Down.
  3. Click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight Last Known Good Configuration, and then press ENTER.

    6. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  6. Use the arrow keys to highlight an operating system, and then press ENTER.

Notes

  • Choosing Last Known Good Configuration provides a way to recover from problems such as a newly added driver that may be incorrect for your hardware. It does not solve problems caused by corrupted or missing drivers or files.
  • When you choose Last Known Good Configuration, Windows 2000 restores information in registry key HKLM\System\CurrentControlSet only. Any changes you have made in other registry keys remain.